import jingrow


def execute():
	pagetype = "Integration Request"

	if not jingrow.db.has_column(pagetype, "integration_type"):
		return

	jingrow.db.set_value(
		pagetype,
		{"integration_type": "Remote", "integration_request_service": ("!=", "PayPal")},
		"is_remote_request",
		1,
	)
	jingrow.db.set_value(
		pagetype,
		{"integration_type": "Subscription Notification"},
		"request_description",
		"Subscription Notification",
	)
